Index: trunk/MagicSoft/Mars/datacenter/scripts/cutslices
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/cutslices	(revision 8782)
+++ trunk/MagicSoft/Mars/datacenter/scripts/cutslices	(revision 8784)
@@ -74,7 +74,6 @@
    #cut the slices
    gzip -cd $fullpath | $mars/datacenter/compmux | gzip -1c > /tmp/temp${file}.gz
+   check1=$?
    touch -r $fullpath /tmp/temp${file}.gz
-   chmod a=r $fullpath
-   check1=$?
    
    #check success and insert information into the database
@@ -83,4 +82,5 @@
            mv -f /tmp/temp${file}.gz $fullpath >> $scriptlog 2>&1
            check2=$?
+           chmod a=r $fullpath
            case $check2 in
               0)   echo " check2=$check2 -> everything ok -> mv done, setting db status for run $file" >> $scriptlog 2>&1
